/******************************************************************************
* C Include: Image Section                                                    *
*                                                                             *
* File:                                                                       *
*    imgsectn.h                                                               *
*                                                                             *
* Description:                                                                *
*    Include file for the Image Section functions.                            *
*                                                                             *
* History:                                                                    *
*    Created    : 15-JUN-93 by J. Doggett,                                    *
*       for the Association of Universities for Research in Astronomy, Inc.   *
*          at the Space Telescope Science Institute,                          *
*       to facilitate the accessing of data from the CD-ROM set of the        *
*          Digitized Sky Survey.                                              *
*    Delivered  : 01-MAR-94 by J. Doggett,                                    *
*       GetImage Version 1.0                                                  *
*                                                                             *
* Copyright (c) 1993, 1994, Association of Universities for Research in       *
* Astronomy, Inc.  All Rights Reserved.                                       *
* Produced under National Aeronautics and Space Administration grant          *
* NAG W-2166.                                                                 *
******************************************************************************/
#ifndef __IMGSECTN__
#define __IMGSECTN__

#include "field.h"
#include "header.h"
#include "plate.h"

/***********************************
* Image Section derived data types *
***********************************/
struct Image_Section_Description /* Info describing an section of a plate */
{                                /*    image.                             */
   int   X       ; /* Pixels */
   int   Y       ; /*  ""    */
   int   Width   ; /*  ""    */
   int   Height  ; /*  ""    */
   int   Distance; /* Distance from plate center in pixels */
};
typedef struct Image_Section_Description * IMAGE_SECTION;

/**************************************
* Image Section functions' prototypes *
**************************************/
IMAGE_SECTION Get_Image_Section   (/* FIELD Field          ,
				      PLATE Plate          ,
				      HEADER Header         */);

void          Delete_Image_Section(/* IMAGE_SECTION Section */);

#endif
